Last Comment Bug 568447 - Fix nits discovered while porting Bug 151244 to SeaMonkey and make mdn work for non-standard header too
: Fix nits discovered while porting Bug 151244 to SeaMonkey and make mdn work f...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Magnus Melin
:
Mentors:
Depends on: 151244 539066
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 02:24 PDT by Philip Chee
Modified: 2012-02-20 10:50 PST (History)
8 users (show)
mkmelin+mozilla: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (13.19 KB, patch)
2012-02-03 12:21 PST, Magnus Melin
bwinton: review+
Details | Diff | Splinter Review

Description Philip Chee 2010-05-27 02:24:23 PDT
>  Robert Kaiser      2010-05-06 04:10:20 PDT
> 
>>>>+    this.msgHeader = aMsgHeader;
>>> Unused?
>> Removed. It was introduced in the first version of the Thunderbird patch
>> without any comment on the reason.
> 
> Just as a side note, should a Thunderbird bug be raised on that and possibly
> any other things review improved here over their code?
> 
> David :Bienvenu 2010-05-06 07:51:59 PDT
> 
> sure, that would be nice, thx for thinking of that.

From https://bugzilla.mozilla.org/show_bug.cgi?id=539066#c12

>>  neil@parkwaycc.co.uk      2010-05-03 16:26:27 PDT
>> 
>> (From update of attachment 442350 [details] [diff] [review] [details])
>>>+                    8  // 1 << (kMsgNotificationMSN - 1)
>> Typo: MDN
> Fixed.
> 
>>>+    this.msgHeader = aMsgHeader;
>> Unused?
> Removed. It was introduced in the first version of the Thunderbird patch
> without any comment on the reason.
> 
>>>+  if (!msgFlags)
>>>+    return;
>> What does this achieve?
> No idea. Removed.
> 
>>>+  list-style-image: url("chrome://global/skin/icons/Warning.png");
>> Surely the old dialog would have used a Question or possibly Information image?
> 
> The old dialog used Question, switching to Question.png.
Comment 1 Magnus Melin 2012-02-03 12:21:36 PST
Created attachment 594268 [details] [diff] [review]
proposed fix

Fix the nits, and also i made it work correctly with the non-standard Return-Receipt-To. (Strangely enough i had a mail from an outlook user, in one mail its the standard header, in the next the non-standard, go figure...)

The notification bar images were broken in many ways :/

Also i don't think the mdn bar needs to be hidden for deleted imap messages if they are showing. It probably made sense when it was a dialog...
Comment 2 Blake Winton (:bwinton) (:☕️) 2012-02-13 18:18:16 PST
Comment on attachment 594268 [details] [diff] [review]
proposed fix

Seems good, and the tests still pass, so r=me.

Thanks,
Blake.
Comment 3 Magnus Melin 2012-02-20 10:50:14 PST
http://hg.mozilla.org/comm-central/rev/052af292b83e
->FIXED

Note You need to log in before you can comment on or make changes to this bug.